import request from '@/assets/js/utils/request'

// 获取评审报表
export function getEvaluationFiles(stageId) {
  return request({
    url: '/bidprocurement/bidding-evaluation/evaluation/getEvaluationFiles?stageId=' + stageId,
    method: 'post'
  })
}
// 指定专家-指定专家列表
export function getExpertListPage(data) {
  return request({
    url: '/bidprocurement/bidding-evaluation/evaluation/tenderIntensiveevalExpert/getExpertListPage',
    method: 'post',
    data
  })
}
// 指定专家-添加专家信息
export function saveExpertExtractInfo(data) {
  return request({
    url: '/bidprocurement/bidding-evaluation/evaluation/tenderIntensiveevalExpert/saveExpertExtractInfo',
    method: 'post',
    data
  })
}
// 指定专家-删除专家
export function deleteExpertInfoById(expertId) {
  return request({
    url: '/bidprocurement/bidding-evaluation/evaluation/tenderIntensiveevalExpert/deleteExpertInfoById?expertId=' + expertId,
    method: 'post'
  })
}

// 查看抽取结果信息(指定专家列表信息)
export function queryExtractResultListByJuryId(data) {
  return request({
    url: '/bidprocurement/bidding-evaluation/evaluation/tenderIntensiveevalExpert/queryExtractResultListByJuryId',
    method: 'post',
    data
  })
}
// 变更专家信息状态
export function saveExpertInfoStatus(data) {
  return request({
    url: '/bidprocurement/bidding-evaluation/evaluation/tenderIntensiveevalExpert/saveExpertInfoStatus',
    method: 'post',
    data
  })
}

// 获取抽取结果并给专家分配账号
export function queryExxpertExtractResultList(data) {
  return request({
    url: '/bidprocurement/bidding-evaluation/evaluation/tenderIntensiveevalExpert/queryExxpertExtractResultList',
    method: 'post',
    data
  })
}
// 专家人数校验
export function checkExpertNumAndConditionNumTotal(data) {
  return request({
    url: '/bidprocurement/bidding-evaluation/evaluation/tenderIntensiveevalExpert/checkExpertNumAndConditionNumTotal',
    method: 'post',
    data
  })
}
// 重新获取抽取结果
export function getExpertExtractResult(data) {
  return request({
    url: '/bidprocurement/bidding-evaluation/evaluation/tenderIntensiveevalExpert/getExpertExtractResult',
    method: 'post',
    data
  })
}
